import { Component, ViewEncapsulation, ɵɵdefineInjectable, Injectable, Injector, Input, NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { BrowserModule } from '@angular/platform-browser';

class DefaultSpinnerComponent {
}
DefaultSpinnerComponent.decorators = [
    { type: Component, args: [{
                template: '<div class="lds-dual-ring"></div>',
                encapsulation: ViewEncapsulation.None,
                styles: [".lds-dual-ring{display:inline-block;width:80px;height:80px}.lds-dual-ring:after{content:\" \";display:block;width:64px;height:64px;margin:8px;border-radius:50%;border-color:#2959a1 transparent;border-style:solid;border-width:6px;-webkit-animation:lds-dual-ring 1.2s linear infinite;animation:lds-dual-ring 1.2s linear infinite}@-webkit-keyframes lds-dual-ring{0%{transform:rotate(0deg)}to{transform:rotate(1turn)}}@keyframes lds-dual-ring{0%{transform:rotate(0deg)}to{transform:rotate(1turn)}}"]
            },] }
];

class LoadingSpinnerConfig {
    constructor() {
        this.component = DefaultSpinnerComponent;
    }
}
LoadingSpinnerConfig.ɵprov = ɵɵdefineInjectable({ factory: function LoadingSpinnerConfig_Factory() { return new LoadingSpinnerConfig(); }, token: LoadingSpinnerConfig, providedIn: "root" });
LoadingSpinnerConfig.decorators = [
    { type: Injectable, args: [{
                providedIn: 'root'
            },] }
];

class LoadingSpinnerComponent {
    constructor(_spinnerConfig, injector) {
        this._spinnerConfig = _spinnerConfig;
        this.injector = injector;
    }
    get component() {
        return this._spinnerConfig.component;
    }
}
LoadingSpinnerComponent.decorators = [
    { type: Component, args: [{
                selector: 'dp-loading-spinner',
                template: "<div class=\"dp-spinner-container\">\r\n    <div *ngComponentOutlet=\"component; injector: injector\"></div>\r\n    <!-- <div class=\"lds-dual-ring\"></div> -->\r\n    <p *ngIf=\"message\">{{message}}</p>\r\n</div>",
                encapsulation: ViewEncapsulation.None,
                styles: [".dp-spinner-container{display:flex;flex-direction:column;justify-content:center;align-items:center;position:fixed;z-index:500;background-color:#fff;left:0;right:0;top:0;bottom:0}.dp-spinner-container p{font-size:18px}"]
            },] }
];
LoadingSpinnerComponent.ctorParameters = () => [
    { type: LoadingSpinnerConfig },
    { type: Injector }
];
LoadingSpinnerComponent.propDecorators = {
    message: [{ type: Input }]
};

class LoadingSpinnerModule {
}
LoadingSpinnerModule.decorators = [
    { type: NgModule, args: [{
                declarations: [
                    LoadingSpinnerComponent,
                    DefaultSpinnerComponent
                ],
                imports: [
                    CommonModule,
                    BrowserModule
                ],
                exports: [
                    LoadingSpinnerComponent,
                    DefaultSpinnerComponent
                ]
            },] }
];

/*
 * Public API Surface of ngx-loading-spinner
 */

/**
 * Generated bundle index. Do not edit.
 */

export { DefaultSpinnerComponent, LoadingSpinnerComponent, LoadingSpinnerConfig, LoadingSpinnerModule };
//# sourceMappingURL=ngx-loading-spinner.js.map
